[ QApache 2.4.39 + PHP 7.2.29 ] WebServer with PHP and PECL

This is the best place for community developers to publish their genius work. Your Apps enrich the QNAP Turbo NAS.
Post Reply
User avatar
QNAP_Stephane
Experience counts
Posts: 3841
Joined: Wed Mar 27, 2013 1:00 am

Re: [ QApache 2.4.23 + PHP 7.0.9 ] WebServer and more

Post by QNAP_Stephane » Thu Jan 05, 2017 11:56 pm

it is just an extension issue, may be due migration version..

anyway you will soon turn to 64bit, and will have to reinstall Qapache new version ;)

I will stop supporting the x86 32bit version, FW 4.3 will turn all NAS into 64bits system

I am actually building the last version.. with i hope an arm-x41 version as well
--------------------------------------------------------------------------
QnapClub AppCenter - https://www.qnapclub.eu
--------------------------------------------------------------------------

zwarteraaf
Starting out
Posts: 12
Joined: Mon Aug 05, 2013 5:03 am

Re: [ QApache 2.4.23 + PHP 7.0.9 ] WebServer and more

Post by zwarteraaf » Sun Jan 08, 2017 2:32 am

I am already on 4.3. :) and used your 64 bit version

User avatar
QNAP_Stephane
Experience counts
Posts: 3841
Joined: Wed Mar 27, 2013 1:00 am

Re: [ QApache 2.4.25 + PHP 7.1.0 ] WebServer and more

Post by QNAP_Stephane » Mon Jan 09, 2017 2:45 am

update pending

Apache 2.4.25 + PHP 7.1.0

arm-x41 already available (in upload)....

x64 version (in debug)
--------------------------------------------------------------------------
QnapClub AppCenter - https://www.qnapclub.eu
--------------------------------------------------------------------------

DJCMBear
Starting out
Posts: 26
Joined: Mon Apr 14, 2014 3:42 pm

Re: [ QApache 2.4.25 + PHP 7.1.0 ] WebServer and more

Post by DJCMBear » Mon Jan 09, 2017 8:21 am

How much more work would it be to package a qpkg for firmware 4.2.2? I don't want to update to version 4.3 just yet as my NAS is used daily.

I am in the works of building a 100TB NAS which will use 4.3 but that isn't going to be live for a few months and I would really like to use apache 2.4.25 as I saw you have enabled HTTP/2 and thats one thing I have been waiting for. If making it work on 4.2.2 is a lot of work just say and I will just have to wait until I am able to upgrade the server.

I developed a temporary solution by using Node as a webserver proxy layer which I developed that uses HTTP/2 so I have apache running behind that and it is working well, so if it can't be compiled for 4.2.2 it isn't much of an issue.
Server: TVS-871-i7-16G 32TB RAID-6 QTS 4.3.3 2017/07/27
Network: ASUS RT-AC5300 5334Mbps internal network with AC wireless (Twin 5Ghz and a 2.4Ghz both with a range of 5,000 square feet), CAT7 ethernet cables with true gigabit ports, 300Mb/s super fast vivid fibre optic with unlimited bandwidth.

User avatar
QNAP_Stephane
Experience counts
Posts: 3841
Joined: Wed Mar 27, 2013 1:00 am

Re: [ QApache 2.4.25 + PHP 7.1.0 ] WebServer and more

Post by QNAP_Stephane » Mon Jan 09, 2017 4:04 pm

it is a little headach to maintain x86 version, who will be EOL in some weeks (once 4.3 stable will be out )

moreover php 7.1 change API and required extension been reinstall in a new directory... the latest 4.3 version is a totally recompiled version with latest libs (dependency)
--------------------------------------------------------------------------
QnapClub AppCenter - https://www.qnapclub.eu
--------------------------------------------------------------------------

User avatar
QNAP_Stephane
Experience counts
Posts: 3841
Joined: Wed Mar 27, 2013 1:00 am

Re: [ QApache 2.4.25 + PHP 7.1.0 ] WebServer and more

Post by QNAP_Stephane » Mon Jan 09, 2017 4:05 pm

x64 version added
--------------------------------------------------------------------------
QnapClub AppCenter - https://www.qnapclub.eu
--------------------------------------------------------------------------

User avatar
Toxic17
Ask me anything
Posts: 5432
Joined: Tue Jan 25, 2011 11:41 pm
Location: Planet Earth
Contact:

Re: [ QApache 2.4.25 + PHP 7.1.0 ] WebServer and more

Post by Toxic17 » Mon Jan 09, 2017 4:23 pm

Stephane, will you be working on an ARM version too? just wanted to test this on my TS-121 running 4.3.2.0050.
Regards Simon

QTS 4.x User Guidex

QNAP Club Repository
Submit a ticket • QNAP Helpdesk
QNAP Tutorials, User Manuals, FAQs, Downloads, Wiki
When you ask a question, please include the following


NAS: TS-473-32GB QM2-2P QXG-10G1T 4.4.2.1354 • TVS-463-16GB 4.4.2.1354 QM2-2S10G1TB • TS-459 Pro 2GB 4.2.6 • TS-121 4.3.3.1161 • APC Back-UPS ES 700G •
QPKG's: Plex 1.19.3 • Apache73 v2443.74070 • QSonarr 3.0.3.809 • QNBZGet 21.0 • phpMyAdmin 5.0.2 • Qmono 6.80.105 • McAfee 3.1.0 -6010 • HBS 3.0.200424 • LEgo v3.6.0
Network: VM Hub 3.0 <500/35> • UniFi USG Pro 4 • UniFi USW-16-150W • UniFi USW-8-60W • UniFi CloudKey Gen2+ • UniFi G3-Flex • UAP AC Pro • UAP AC Lite • SLM2008 • Dell 7050 MFF •

User avatar
QNAP_Stephane
Experience counts
Posts: 3841
Joined: Wed Mar 27, 2013 1:00 am

Re: [ QApache 2.4.25 + PHP 7.1.0 ] WebServer and more

Post by QNAP_Stephane » Mon Jan 09, 2017 4:31 pm

Toxic17 wrote:Stephane, will you be working on an ARM version too? just wanted to test this on my TS-121 running 4.3.2.0050.


No ARMv5 is too old libc... a big headach with a lot of patch required

will be limited to ARM-x41 series (TS-x31P)
--------------------------------------------------------------------------
QnapClub AppCenter - https://www.qnapclub.eu
--------------------------------------------------------------------------

User avatar
Toxic17
Ask me anything
Posts: 5432
Joined: Tue Jan 25, 2011 11:41 pm
Location: Planet Earth
Contact:

Re: [ QApache 2.4.25 + PHP 7.1.0 ] WebServer and more

Post by Toxic17 » Mon Jan 09, 2017 4:34 pm

ok, thanks for the update
Regards Simon

QTS 4.x User Guidex

QNAP Club Repository
Submit a ticket • QNAP Helpdesk
QNAP Tutorials, User Manuals, FAQs, Downloads, Wiki
When you ask a question, please include the following


NAS: TS-473-32GB QM2-2P QXG-10G1T 4.4.2.1354 • TVS-463-16GB 4.4.2.1354 QM2-2S10G1TB • TS-459 Pro 2GB 4.2.6 • TS-121 4.3.3.1161 • APC Back-UPS ES 700G •
QPKG's: Plex 1.19.3 • Apache73 v2443.74070 • QSonarr 3.0.3.809 • QNBZGet 21.0 • phpMyAdmin 5.0.2 • Qmono 6.80.105 • McAfee 3.1.0 -6010 • HBS 3.0.200424 • LEgo v3.6.0
Network: VM Hub 3.0 <500/35> • UniFi USG Pro 4 • UniFi USW-16-150W • UniFi USW-8-60W • UniFi CloudKey Gen2+ • UniFi G3-Flex • UAP AC Pro • UAP AC Lite • SLM2008 • Dell 7050 MFF •

raidforsaving
Know my way around
Posts: 242
Joined: Mon Jul 14, 2014 9:14 am

Re: [ QApache 2.4.25 + PHP 7.1.0 ] WebServer and more

Post by raidforsaving » Mon Jan 09, 2017 11:58 pm

QNAP_Stephane wrote:it is a little headach to maintain x86 version, who will be EOL in some weeks (once 4.3 stable will be out )

moreover php 7.1 change API and required extension been reinstall in a new directory... the latest 4.3 version is a totally recompiled version with latest libs (dependency)


While I cannot understand the exact scale of maintenance concerns, I will say that it seems premature to drop support for x86, just because the x64 version is about to be released.

Just like the issues which occurred in the past 2 years with QTS, which caused many to delay upgrading due to serious stability concerns, it seems the impending x64/x86 qpkg debacle will be another reason for many to hold off on upgrading to 4.3. I'm not sure of the latest on this, so bear with me.

As this is a webserver app, with intent to host content directly over the internet, it seems horribly dangerous to abandon, given it is already vulnerable and will remain so for many months, until the qpkg issues are addressed.

Presuming the qpkg issue isn't 100% resolved, I implore you to consider updating this app until 4.3 is a seamless migration.
Model name: TS-651
CPU: Intel(R) Celeron(R) CPU J1800 @ 2.41GHz
Firmware version: 4.3.5.0760(20181114)
Volumes: EXT4, Encrypted volume

User avatar
QNAP_Stephane
Experience counts
Posts: 3841
Joined: Wed Mar 27, 2013 1:00 am

Re: [ QApache 2.4.25 + PHP 7.1.0 ] WebServer and more

Post by QNAP_Stephane » Tue Jan 10, 2017 12:02 am

the other reason is also external hosting on QnapClub Repo, i need to check if 4.2.2 qpkg can be maintained with the repo...

not sure it is feasible, because actual 4.3.x still looking at x86 files instead to been swap to x86_64 model... and could create big confusion
--------------------------------------------------------------------------
QnapClub AppCenter - https://www.qnapclub.eu
--------------------------------------------------------------------------

raidforsaving
Know my way around
Posts: 242
Joined: Mon Jul 14, 2014 9:14 am

Re: [ QApache 2.4.25 + PHP 7.1.0 ] WebServer and more

Post by raidforsaving » Tue Jan 10, 2017 12:12 am

QNAP_Stephane wrote:the other reason is also external hosting on QnapClub Repo, i need to check if 4.2.2 qpkg can be maintained with the repo...

not sure it is feasible, because actual 4.3.x still looking at x86 files instead to been swap to x86_64 model... and could create big confusion


Thanks for the response. I just want to make sure you are considering the real world impact of the decisions.

I would also assume/hope that qnap supported x86 apps will continue to be updated for some time? for the same reasons I explained? especially if there are security issues.
Model name: TS-651
CPU: Intel(R) Celeron(R) CPU J1800 @ 2.41GHz
Firmware version: 4.3.5.0760(20181114)
Volumes: EXT4, Encrypted volume

User avatar
Toxic17
Ask me anything
Posts: 5432
Joined: Tue Jan 25, 2011 11:41 pm
Location: Planet Earth
Contact:

Re: [ QApache 2.4.25 + PHP 7.1.0 ] WebServer and more

Post by Toxic17 » Tue Jan 10, 2017 1:54 am

raidforsaving wrote:While I cannot understand the exact scale of maintenance concerns, I will say that it seems premature to drop support for x86, just because the x64 version is about to be released.

Just like the issues which occurred in the past 2 years with QTS, which caused many to delay upgrading due to serious stability concerns, it seems the impending x64/x86 qpkg debacle will be another reason for many to hold off on upgrading to 4.3. I'm not sure of the latest on this, so bear with me.


Dont forget QNAP Stephane's own QPKGs are not official QNAP QPKG'sand he does this in his free time. he can stop support when he wants to.
Regards Simon

QTS 4.x User Guidex

QNAP Club Repository
Submit a ticket • QNAP Helpdesk
QNAP Tutorials, User Manuals, FAQs, Downloads, Wiki
When you ask a question, please include the following


NAS: TS-473-32GB QM2-2P QXG-10G1T 4.4.2.1354 • TVS-463-16GB 4.4.2.1354 QM2-2S10G1TB • TS-459 Pro 2GB 4.2.6 • TS-121 4.3.3.1161 • APC Back-UPS ES 700G •
QPKG's: Plex 1.19.3 • Apache73 v2443.74070 • QSonarr 3.0.3.809 • QNBZGet 21.0 • phpMyAdmin 5.0.2 • Qmono 6.80.105 • McAfee 3.1.0 -6010 • HBS 3.0.200424 • LEgo v3.6.0
Network: VM Hub 3.0 <500/35> • UniFi USG Pro 4 • UniFi USW-16-150W • UniFi USW-8-60W • UniFi CloudKey Gen2+ • UniFi G3-Flex • UAP AC Pro • UAP AC Lite • SLM2008 • Dell 7050 MFF •

raidforsaving
Know my way around
Posts: 242
Joined: Mon Jul 14, 2014 9:14 am

Re: [ QApache 2.4.25 + PHP 7.1.0 ] WebServer and more

Post by raidforsaving » Tue Jan 10, 2017 2:30 am

Toxic17 wrote:
raidforsaving wrote:While I cannot understand the exact scale of maintenance concerns, I will say that it seems premature to drop support for x86, just because the x64 version is about to be released.

Just like the issues which occurred in the past 2 years with QTS, which caused many to delay upgrading due to serious stability concerns, it seems the impending x64/x86 qpkg debacle will be another reason for many to hold off on upgrading to 4.3. I'm not sure of the latest on this, so bear with me.


Dont forget QNAP Stephane's own QPKGs are not official QNAP QPKG'sand he does this in his free time. he can stop support when he wants to.


Which is a fair point. and I do appreciate their efforts.

I'm trying to get to a current version for a web app, but they are all vulnerable due to the web server, including my current version. I'm hoping this is my best option to have one in the next few months. I have no confidence in qnap sufficiently addressing the x64 migration concerns for several months.
Model name: TS-651
CPU: Intel(R) Celeron(R) CPU J1800 @ 2.41GHz
Firmware version: 4.3.5.0760(20181114)
Volumes: EXT4, Encrypted volume

User avatar
QNAP_Stephane
Experience counts
Posts: 3841
Joined: Wed Mar 27, 2013 1:00 am

Re: [ QApache 2.4.25 + PHP 7.1.0 ] WebServer and more

Post by QNAP_Stephane » Tue Jan 10, 2017 3:16 am

thanks Toxic,

but my decision to stop or continue x86 (because i know some models like x39 will not survive to to 4.3.0, may be x59 as well not checked) depend also on how QnapClub can manage the repo

providing 4.2.2 and 4.3.x FW version... without to have to make 2 separate repo...

a bit complicated, all this transition....
--------------------------------------------------------------------------
QnapClub AppCenter - https://www.qnapclub.eu
--------------------------------------------------------------------------

Post Reply

Return to “Community Apps”